"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable no-redeclare */
/* global Office */
require("./styles/globals.css");
var App_1 = __importDefault(require("./App"));
var react_redux_1 = require("react-redux");
var client_1 = require("react-dom/client");
var store_1 = require("../store/store"); // Import store and persistor
var OfficeWrapper_1 = require("./components/OfficeWrapper");
var react_1 = require("redux-persist/integration/react"); // Import PersistGate
/* global document */
Office.onReady(function (info) {
    if (info.host === Office.HostType.Word) {
        var rootElement = document.getElementById("root");
        var root = (0, client_1.createRoot)(rootElement);
        root.render((0, jsx_runtime_1.jsx)(react_redux_1.Provider, { store: store_1.store, children: (0, jsx_runtime_1.jsx)(react_1.PersistGate, { loading: null, persistor: store_1.persistor, children: (0, jsx_runtime_1.jsx)(OfficeWrapper_1.OfficeWrapper, { children: (0, jsx_runtime_1.jsx)(App_1.default, {}) }) }) }));
    }
});
